import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { LoginComponent } from './pages/account/login.component';
import { GroupComponent } from './pages/group/group.component';
import { ChatComponent } from './pages/chat/chat.component';
import { OrganizationComponent } from './pages/organization/organization.component';
import { MessageComponent } from './pages/message/message.component';
import { CallComponent } from './pages/call/call.component';
import { CommonComponent } from './pages/common/common.component';
import { LoadingComponent } from './pages/common/loading.component';

const routes: Routes = [
  { path: 'login', component: LoginComponent },
  { path: 'group', component: GroupComponent },
  { path: 'chat', component: ChatComponent },
  { path: 'organization', component: OrganizationComponent },
  { path: 'message', component: MessageComponent },
  { path: 'call', component: CallComponent },
  { path: 'common', component: CommonComponent },
  { path: 'loading', component: LoadingComponent }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {}
