import { CommonModule } from '@angular/common';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { ReactiveFormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { ScrollingModule } from '@angular/cdk/scrolling';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { MaterialModule } from './material.module';
import { LoginComponent } from './pages/account/login.component';
import { GroupComponent } from './pages/group/group.component';
import { OrganizationComponent } from './pages/organization/organization.component';
import { ChatComponent } from './pages/chat/chat.component';
import { MessageComponent } from './pages/message/message.component';
import { CommonComponent } from './pages/common/common.component';
import { LoadingComponent } from './pages/common/loading.component';
import { CallComponent } from './pages/call/call.component';
import { UserItemComponent } from './pages/group/component/user-item.component';
import { TreeComponent } from './pages/organization/component/tree.component';
import { DetailTableComponent } from './pages/organization/component/detail-table.component';
import { ChatItemComponent } from './pages/chat/component/chat-item.component';
import { NewGroupComponent } from './pages/common/popup/new-group.component';
import { NewChatComponent } from './pages/common/popup/new-chat.component';
import { SettingComponent } from './pages/common/popup/setting.component';

@NgModule({
  declarations: [
    AppComponent,

    LoginComponent,
    GroupComponent,
    OrganizationComponent,
    ChatComponent,
    MessageComponent,
    CommonComponent,
    CallComponent,
    LoadingComponent,
    UserItemComponent,
    TreeComponent,
    DetailTableComponent,
    ChatItemComponent,
    NewGroupComponent,
    NewChatComponent,
    SettingComponent
  ],
  imports: [
    CommonModule,
    BrowserModule,
    BrowserAnimationsModule,
    ReactiveFormsModule,
    AppRoutingModule,
    ScrollingModule,
    MaterialModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {}
