import { action } from '@storybook/addon-actions';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { array, boolean, text, object } from '@storybook/addon-knobs/angular';

import { LoginComponent } from './login.component';
import { moduleMetadata } from '@storybook/angular';
import { MaterialModule } from 'src/app/material.module';

export default {
  title: 'LoginComponent',
  component: LoginComponent,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule, MaterialModule],
      providers: []
    })
  ]
};

const defaultProbs = (overrides = {}) =>
  Object.assign(
    {},
    {
      companyList: array('companyList', [
        { companyName: 'LG CNS' },
        { companyName: 'LG UCAP' }
      ]),
      isLoginId: false,
      isPasswd: false,
      placeholder: text('placeholder', '선택'),
      disabled: boolean('disabled', false),
      onChange: action('change')
    },
    overrides
  );

export const Page = () => ({
  component: LoginComponent,
  props: defaultProbs()
});

export const ErrorPage = () => ({
  component: LoginComponent,
  props: defaultProbs({ isLoginId: true, isPasswd: true })
});
