import { Component, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { NewChatComponent } from './popup/new-chat.component';
import { NewGroupComponent } from './popup/new-group.component';
import { SettingComponent } from './popup/setting.component';

@Component({
  selector: 'app-common',
  templateUrl: './common.component.html',
  styleUrls: ['./common.component.scss']
})
export class CommonComponent implements OnInit {
  constructor(public dialog: MatDialog) {}

  ngOnInit(): void {}

  openDialog(type: string): void {
    switch (type) {
      case 'CHAT':
        this.dialog.open(NewChatComponent, {
          width: '850px',
          data: {}
        });
        break;
      case 'GROUP':
        this.dialog.open(NewGroupComponent, {
          width: '250px',
          data: {}
        });
        break;
      case 'SETTING':
        this.dialog.open(SettingComponent, {
          width: '250px',
          data: {}
        });
        break;
    }
  }
}
