import { action } from '@storybook/addon-actions';
import { CommonModule } from '@angular/common';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { ScrollingModule } from '@angular/cdk/scrolling';
import { ReactiveFormsModule } from '@angular/forms';

import { moduleMetadata } from '@storybook/angular';
import { OrganizationComponent } from './organization.component';
import { MaterialModule } from 'src/app/material.module';
import { TreeComponent } from './component/tree.component';
import { DetailTableComponent } from './component/detail-table.component';
import { UserItemComponent } from '../../pages/group/component/user-item.component';

export default {
  title: 'OrganizationComponent',
  component: OrganizationComponent,
  decorators: [
    moduleMetadata({
      imports: [
        CommonModule,
        BrowserModule,
        ReactiveFormsModule,
        ScrollingModule,
        BrowserAnimationsModule,
        MaterialModule
      ],
      providers: [],
      declarations: [TreeComponent, DetailTableComponent, UserItemComponent]
    })
  ]
};

export const Page = () => ({
  component: OrganizationComponent
});
